summaryrefslogtreecommitdiffstats
path: root/office/apvlv
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@xsmail.com>2010-05-13 00:38:58 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:38:58 +0200
commit1b4b15b505a00bac6cb75cf3e199dc1e33931bf9 (patch)
tree7c179914931b83db2e5867379e4c7c929b2d1265 /office/apvlv
parent3a65f31ddb215ee9bd3fa1cbed117cae30f078ec (diff)
downloadslackbuilds-1b4b15b505a00bac6cb75cf3e199dc1e33931bf9.tar.gz
slackbuilds-1b4b15b505a00bac6cb75cf3e199dc1e33931bf9.tar.xz
office/apvlv: Updated for version 0.0.9.2
Diffstat (limited to 'office/apvlv')
-rw-r--r--office/apvlv/README9
-rw-r--r--office/apvlv/apvlv.SlackBuild48
-rw-r--r--office/apvlv/apvlv.info12
-rw-r--r--office/apvlv/doinst.sh15
-rw-r--r--office/apvlv/slack-desc6
5 files changed, 68 insertions, 22 deletions
diff --git a/office/apvlv/README b/office/apvlv/README
index 53511644da..a1b210be3a 100644
--- a/office/apvlv/README
+++ b/office/apvlv/README
@@ -1,2 +1,7 @@
-Apvlv is a PDF Viewer which behaves like vim using poppler.
-Apvlv is still in very early development - use at your own risk.
+Apvlv is a PDF Viewer based on GTK+2 and poppler which uses Vim like keybindings.
+For example, < Ctrl-f > to forward page, < Ctrl-b > to previous page,
+'k','j','h','l' to scrolling a page up, down, left or right.
+Typing '50' and < Ctrl-f > will go forward 50 pages, typing '30' and < Ctrl-b >
+will go previous 30 pages. Apvlv can support view a directory as content of a
+pdf document. Pressing 'k' or 'j' to move selected up or down, 'h' or 'l' to
+collapse or expand a dir, and press 't' will open the selected document in a new tab. \ No newline at end of file
diff --git a/office/apvlv/apvlv.SlackBuild b/office/apvlv/apvlv.SlackBuild
index 7e1cb1f59b..fcadb6783e 100644
--- a/office/apvlv/apvlv.SlackBuild
+++ b/office/apvlv/apvlv.SlackBuild
@@ -1,11 +1,26 @@
#!/bin/sh
-
# Slackware build script for apvlv
-# Written by Grigorios Bouzakis (grbzks@gmail.com)
+# Copyright 2009 Grigorios Bouzakis <grbzks@xsmail.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=apvlv
-VERSION=${VERSION:-0.0.6.3}
+VERSION=${VERSION:-0.0.9.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,12 +32,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+DOCS="AUTHORS COPYING NEWS README THANKS TODO"
+
set -e
rm -rf $PKG
@@ -42,6 +62,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -51,21 +72,24 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+# Don't clobber the config file
+mv $PKG/etc/apvlvrc $PKG/etc/apvlvrc.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING NEWS README THANKS TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/apvlv/apvlv.info b/office/apvlv/apvlv.info
index 33ce071faa..2dbe25614a 100644
--- a/office/apvlv/apvlv.info
+++ b/office/apvlv/apvlv.info
@@ -1,8 +1,10 @@
PRGNAM="apvlv"
-VERSION="0.0.6.3"
+VERSION="0.0.9.2"
HOMEPAGE="http://code.google.com/p/apvlv/"
-DOWNLOAD="http://apvlv.googlecode.com/files/apvlv-0.0.6.3.tar.gz"
-MD5SUM="b4c348d889a36d55874c9c70a291ff6a"
+DOWNLOAD="http://apvlv.googlecode.com/files/apvlv-0.0.9.2.tar.gz"
+MD5SUM="7f609d95da83e154025a87395303f496"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Grigorios Bouzakis"
-EMAIL="grbzks@gmail.com"
-APPROVED="rworkman"
+EMAIL="grbzks@xsmail.com"
+APPROVED="Erik Hanson"
diff --git a/office/apvlv/doinst.sh b/office/apvlv/doinst.sh
new file mode 100644
index 0000000000..c8eb9f73c9
--- /dev/null
+++ b/office/apvlv/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/apvlvrc.new
+
diff --git a/office/apvlv/slack-desc b/office/apvlv/slack-desc
index abceb3b5c3..f351ff49c3 100644
--- a/office/apvlv/slack-desc
+++ b/office/apvlv/slack-desc
@@ -6,9 +6,10 @@
# customary to leave one space after the ':'.
|-----handy-ruler-------------------------------------------------------|
-apvlv: apvlv (a PDF Viewer which behaves like Vim)
+apvlv: apvlv (a PDF viewer which uses Vim keybindigs)
apvlv:
-apvlv: apvlv is a PDF Viewer which behaves like Vim, using poppler.
+apvlv: Apvlv is a PDF viewer based on GTK+2 and poppler which uses
+apvlv: Vim like keybindings.
apvlv:
apvlv: Homepage: http://code.google.com/p/apvlv/
apvlv:
@@ -16,4 +17,3 @@ apvlv:
apvlv:
apvlv:
apvlv:
-apvlv: